import 'dart:async';
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

class IosRotateImage {
  static const MethodChannel _channel = const MethodChannel('ios_rotate_image');

  static Future<String> rotateImageIOS(
      {@required String path, @required String side}) async {
    assert(path != null);
    assert(side != null);
    final String result = await _channel.invokeMethod('rotateImage',
        <String, dynamic>{'path': path});
    return result;
  }
}
